uk.gov.hmrc.mongo.test

# PlayMongoRepositorySupport

###
Related Doc: package test

#### trait PlayMongoRepositorySupport[A] extends MongoSupport

Specialises MongoSupport for PlayMongoRepository.

It is recommended to use DefaultPlayMongoRepositorySupport which brings this together with other useful testing support.

    repository

will need overriding with the repository under test.

If a schema is not defined on the repository, it can still be provided for tests by overridding

    optSchema

.

CRUD methods are provided which can help preparing and asserting repository behaviour.

optSchema }}}

CRUD methods are provided which can help preparing and asserting repository behaviour.

repository }}}

If a schema is not defined on the repository, it can still be provided for tests by overridding

    optSchema

.

CRUD methods are provided which can help preparing and asserting repository behaviour.

optSchema }}}

CRUD methods are provided which can help preparing and asserting repository behaviour.

Linear Supertypes
MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultPlayMongoRepositorySupport
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayMongoRepositorySupport
2. MongoSupport
3. ScalaFutures
4. Futures
5. PatienceConfiguration
6. AbstractPatienceConfiguration
7. ScaledTimeSpans
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### trait FutureConcept[T] extends AnyRef

   Definition Classes
     Futures

2. #### final case class PatienceConfig extends Product with Serializable

   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1. #### abstract def repository: PlayMongoRepository[A]

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### lazy val collectionName: String

   Attributes
     protected

7. #### implicit def convertScalaFuture[T](scalaFuture: Future[T]): FutureConcept[T]

   Definition Classes
     ScalaFutures

8. #### def count(): Future[Long]

   Attributes
     protected

9. #### def createCollection(): Unit

   Attributes
     protected

10. #### val databaseName: String

    Attributes
      protected
    Definition Classes
      MongoSupport

11. #### def deleteAll(): Future[DeleteResult]

    Attributes
      protected

12. #### def dropCollection(): Unit

    Attributes
      protected

13. #### def dropDatabase(): Unit

    Attributes
      protected
    Definition Classes
      MongoSupport

14. #### def ensureIndexes(): Seq[String]

    Attributes
      protected

15. #### def ensureSchemas(): Unit

    Attributes
      protected

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def find(filter: Bson)(implicit ev: ClassTag[A]): Future[Seq[A]]

    Attributes
      protected

20. #### def findAll()(implicit ev: ClassTag[A]): Future[Seq[A]]

    Attributes
      protected

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### lazy val indexes: Seq[IndexModel]

    Attributes
      protected

24. #### def insert(a: A): Future[InsertOneResult]

    Attributes
      protected

25. #### def interval(value: Span): Interval

    Definition Classes
      PatienceConfiguration

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### lazy val mongoClient: MongoClient

    Attributes
      protected
    Definition Classes
      MongoSupport

28. #### lazy val mongoComponent: MongoComponent

    Attributes
      protected
    Definition Classes
      MongoSupport

29. #### lazy val mongoDatabase: MongoDatabase

    Attributes
      protected
    Definition Classes
      MongoSupport

30. #### val mongoUri: String

    Attributes
      protected
    Definition Classes
      MongoSupport

31. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### lazy val optSchema: Option[BsonDocument]

    Attributes
      protected

35. #### implicit def patienceConfig: PatienceConfig

    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration

36. #### def prepareDatabase(): Unit

    Attributes
      protected
    Definition Classes
      PlayMongoRepositorySupport → MongoSupport

37. #### final def scaled(span: Span): Span

    Definition Classes
      ScaledTimeSpans

38. #### def spanScaleFactor: Double

    Definition Classes
      ScaledTimeSpans

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def timeout(value: Span): Timeout

    Definition Classes
      PatienceConfiguration

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]

    Attributes
      protected
    Definition Classes
      MongoSupport

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def whenReady[T, U](future: FutureConcept[T])(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

47. #### final def whenReady[T, U](future: FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

48. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

49. #### final def whenReady[T, U](future: FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: PatienceConfig, pos: Position): U

    Definition Classes
      Futures

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped